PropertyGridController

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.properties.client
Class PropertyGridController

    java.lang.Object
      org.openswing.swing.properties.client.PropertyGridController

public class PropertyGridController
extends java.lang.Object

Title: OpenSwing Framework

Description: Controller for a PropertyGridControl: it contains a callback method invoked for loading data (property values) on grid.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`PropertyGridController()`

Method Summary
`boolean` | `insertRecords(PropertyGridControl grid, int[] changedRowNumbers)` Callback method invoked by the PropertyGridControl for saving data the first time.
`void` | `loadData(PropertyGridControl grid)` Callback method invoked by the PropertyGridControl for loading data (property values).
`boolean` | `updateRecords(PropertyGridControl grid, int[] changedRowNumbers)` Callback method invoked by the PropertyGridControl for saving data the first time.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyGridController

    public PropertyGridController()

Method Detail

### loadData

    public void loadData(PropertyGridControl grid)

  Callback method invoked by the PropertyGridControl for loading data (property values).

### insertRecords

    public boolean insertRecords(PropertyGridControl grid,
                                 int[] changedRowNumbers)

  Callback method invoked by the PropertyGridControl for saving data the first time.

  Parameters:
    `grid` - PropertyGridControl
    `changedRowNumbers` - rows indexes, related to changed rows Note: you can obtain the current value of a property by means of the method: PropertyGridControl.getPropertyValue
  Returns:
    `true` if the insert operation has been correctly performed, `false` otherwise

### updateRecords

    public boolean updateRecords(PropertyGridControl grid,
                                 int[] changedRowNumbers)

  Callback method invoked by the PropertyGridControl for saving data the first time.

  Parameters:
    `grid` - PropertyGridControl
    `changedRowNumbers` - rows indexes, related to changed rows Note: you can obtain the current value of a property by means of the method: PropertyGridControl.getPropertyValue Note: you can obtain the previous value of a property by means of the method: PropertyGridControl.getOldPropertyValue
  Returns:
    `true` if the insert operation has been correctly performed, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD